<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SynchronizedUntilInfo StructType
 * @subpackage Structs
 */
class SynchronizedUntilInfo extends AbstractStructBase
{
    /**
     * The SynchronizedUntilDate
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var string
     */
    public $SynchronizedUntilDate;
    /**
     * The SynchronizedUntilId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var int
     */
    public $SynchronizedUntilId;
    /**
     * Constructor method for SynchronizedUntilInfo
     * @uses SynchronizedUntilInfo::setSynchronizedUntilDate()
     * @uses SynchronizedUntilInfo::setSynchronizedUntilId()
     * @param string $synchronizedUntilDate
     * @param int $synchronizedUntilId
     */
    public function __construct($synchronizedUntilDate = null, $synchronizedUntilId = null)
    {
        $this
            ->setSynchronizedUntilDate($synchronizedUntilDate)
            ->setSynchronizedUntilId($synchronizedUntilId);
    }
    /**
     * Get SynchronizedUntilDate value
     * @return string
     */
    public function getSynchronizedUntilDate()
    {
        return $this->SynchronizedUntilDate;
    }
    /**
     * Set SynchronizedUntilDate value
     * @param string $synchronizedUntilDate
     * @return \StructType\SynchronizedUntilInfo
     */
    public function setSynchronizedUntilDate($synchronizedUntilDate = null)
    {
        // validation for constraint: string
        if (!is_null($synchronizedUntilDate) && !is_string($synchronizedUntilDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($synchronizedUntilDate, true), gettype($synchronizedUntilDate)), __LINE__);
        }
        $this->SynchronizedUntilDate = $synchronizedUntilDate;
        return $this;
    }
    /**
     * Get SynchronizedUntilId value
     * @return int
     */
    public function getSynchronizedUntilId()
    {
        return $this->SynchronizedUntilId;
    }
    /**
     * Set SynchronizedUntilId value
     * @param int $synchronizedUntilId
     * @return \StructType\SynchronizedUntilInfo
     */
    public function setSynchronizedUntilId($synchronizedUntilId = null)
    {
        // validation for constraint: int
        if (!is_null($synchronizedUntilId) && !(is_int($synchronizedUntilId) || ctype_digit($synchronizedUntilId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($synchronizedUntilId, true), gettype($synchronizedUntilId)), __LINE__);
        }
        $this->SynchronizedUntilId = $synchronizedUntilId;
        return $this;
    }
}
